<template>
  <div>
    <div class="gt-md mainWidth">
      <div class="row justify-between">
        <div class="font-24 q-px-md topic">มาใหม่</div>
        <div class="font-18 cursor-pointer q-px-md" @click="goToExtra()">
          <u>เพิ่มเติม</u> >
        </div>
      </div>
      <div class="row">
        <div style="width: 20%" v-for="(item, index) in data" :key="index">
          <book-cover :bookData="item" />
        </div>
      </div>
    </div>

    <!-- mobile -->
    <div class="lt-sm">
      <div class="row justify-between">
        <div class="font-18 topic-m q-px-sm">มาใหม่</div>
        <div class="font-14 cursor-pointer" @click="goToExtra()">
          <u>เพิ่มเติม</u> >
        </div>
      </div>
      <div class="showNew row no-wrap">
        <div
          v-for="(item, index) in data"
          :key="index"
          align="center"
          class="q-pr-sm"
        >
          <book-cover :bookData="item" />
        </div>
      </div>
    </div>

    <!-- tablet -->
    <div class="gt-xs lt-lg">
      <div class="row justify-between">
        <div class="font-18 topic-t q-px-sm">มาใหม่</div>
        <div class="font-14 cursor-pointer" @click="goToExtra()">
          <u>เพิ่มเติม</u> >
        </div>
      </div>
      <div class="showNew-t row no-wrap">
        <div
          style="width: 190px"
          v-for="(item, index) in data"
          :key="index"
          align="center"
          class="q-pr-md"
        >
          <book-cover :bookData="item" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import bookCover from "../components/bookcovernew.vue";
export default {
  components: { bookCover },
  data() {
    return {
      data: [],
    };
  },
  methods: {
    goToExtra() {
      this.$router.push("/new");
    },
    async loadData() {
      let url = this.serverpath + "newchapter.php";
      let res = await axios.get(url);
      let dataInput = res.data;

      let bookid = [...new Set(dataInput.map((x) => x.bookid))];
      bookid.forEach((x) => {
        let bookData = dataInput.filter((y) => y.bookid == x);
        this.data.push(bookData[0]);
      });
      this.data = this.data.slice(0, 10);
    },
  },
  mounted() {
    this.loadData();
  },
};
</script>

<style lang="scss" scoped>
.showNew {
  width: 100%;
  // height: 350px;
  padding-top: 0px;
  overflow-x: auto;
  overflow-y: hidden;
}
.showNew-t {
  width: 100%;
  height: 370px;
  padding-top: 20px;
  overflow-x: auto;
  overflow-y: hidden;
}
::-webkit-scrollbar {
  display: none;
}
</style>
